%define url_ver		%(echo %{version}|cut -d. -f1,2)

%define major		2
%define gir_major	0.10
%define libname		%mklibname gexiv2_ %{major}
%define develname	%mklibname gexiv2 -d
%define gir_name	%mklibname gexiv2-gir %{gir_major}

Summary:	A GObject-based wrapper around the Exiv2 library
Name:		libgexiv2
Version:	0.12.1
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
Url:		https://wiki.gnome.org/Projects/gexiv2
Source0:	https://download.gnome.org/sources/gexiv2/%{url_ver}/gexiv2-%{version}.tar.xz
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	sed
BuildRequires:	pkgconfig(exiv2) >= 0.21
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}1.0-gir 1.0} < 1.29.3-4

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package -n %{libname}
Summary:	A GObject-based wrapper around the Exiv2 library
Group:		System/Libraries

%description -n %{libname}
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %{develname}
Group:		Development/C
Summary:	A GObject-based wrapper around the Exiv2 library
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gir_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n	python3-gexiv2
Summary:	Python3 bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}
Requires:	python3-gobject

%description -n	python3-gexiv2
This package contains the python3 bindings for %{name}.

%prep
%setup -q -n gexiv2-%{version}
%autopatch -p1

%build
%meson -Dgtk_doc=true \
       -Dpython3_girdir=%{python3_sitearch}/gi/overrides
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/gexiv2/
%{_includedir}/gexiv2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/gexiv2.deps
%{_datadir}/vala/vapi/gexiv2.vapi
%{_datadir}/gir-1.0/*-%{gir_major}.gir

%files -n %{gir_name}
%{_libdir}/girepository-1.0/GExiv2-0.10.typelib

%files -n python3-gexiv2
%{python3_sitearch}/gi/overrides/GExiv2.*
%{python3_sitearch}/gi/overrides/__pycache__/GExiv2*


%changelog
* Mon Aug 24 2020 daviddavid <daviddavid> 0.12.1-2.mga8
+ Revision: 1618622
- split out in its own sub-pkg the python3 bindings

* Sat May 23 2020 ovitters <ovitters> 0.12.1-1.mga8
+ Revision: 1587073
- new version 0.12.1

* Thu Apr 02 2020 danf <danf> 0.12.0-6.mga8
+ Revision: 1563929
- Remove some unneeded Python 2 BuildRequires

* Sun Feb 16 2020 umeabot <umeabot> 0.12.0-5.mga8
+ Revision: 1531577
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.12.0-4.mga8
+ Revision: 1440506
- rebuild for python-3.8

* Thu May 16 2019 daviddavid <daviddavid> 0.12.0-3.mga7
+ Revision: 1398052
- rebuild for new exiv2 0.27.1

* Wed Apr 17 2019 umeabot <umeabot> 0.12.0-2.mga7
+ Revision: 1392738
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 0.12.0-1.mga7
+ Revision: 1374336
- new version 0.12.0

* Wed Jan 30 2019 daviddavid <daviddavid> 0.11.0-1.mga7
+ Revision: 1361958
- new version: 0.11.0

* Tue Jan 08 2019 daviddavid <daviddavid> 0.10.10-2.mga7
+ Revision: 1352643
- rebuild for new Python 3.7

* Tue Jan 01 2019 daviddavid <daviddavid> 0.10.10-1.mga7
+ Revision: 1348135
- new version 0.10.10
- remove merged upstream patch

* Sun Dec 30 2018 daviddavid <daviddavid> 0.10.9-2.mga7
+ Revision: 1346624
- add patch to fix build with exiv2 >= 0.27
+ luigiwalser <luigiwalser>
- rebuild for exiv2

* Sun Nov 18 2018 ovitters <ovitters> 0.10.9-1.mga7
+ Revision: 1331119
- new version 0.10.9
- switch to the meson build system

* Sun Sep 23 2018 umeabot <umeabot> 0.10.8-4.mga7
+ Revision: 1298867
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 wally <wally> 0.10.8-3.mga7
+ Revision: 1248835
- add pycache back

* Fri Jul 06 2018 daviddavid <daviddavid> 0.10.8-2.mga7
+ Revision: 1242185
- update files list (no more __pycache__ reference)
+ kekepower <kekepower>
- Use make_build

* Mon Feb 05 2018 ovitters <ovitters> 0.10.8-1.mga7
+ Revision: 1199151
- new version 0.10.8

* Sun Dec 24 2017 ovitters <ovitters> 0.10.7-1.mga7
+ Revision: 1184560
- new version 0.10.7

* Sun Aug 06 2017 pterjan <pterjan> 0.10.6-4.mga7
+ Revision: 1137210
- Remove find_langs as there are no translations
- Rebuild for python 3.6

* Wed Jun 21 2017 akien <akien> 0.10.6-2.mga6
+ Revision: 1108121
- Package gtk-doc files
+ neoclust <neoclust>
- Rebuild against new exiv2
+ ovitters <ovitters>
- new version 0.10.6
- new version 0.10.5

* Sat Dec 31 2016 tv <tv> 0.10.4-5.mga6
+ Revision: 1078924
- move introspection typelib to correct location
  (thus fixing eg: gramps)

* Mon Sep 26 2016 tv <tv> 0.10.4-4.mga6
+ Revision: 1056839
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 0.10.4-3.mga6
+ Revision: 1055709
- rebuild for typelib provides

* Mon Sep 19 2016 tv <tv> 0.10.4-2.mga6
+ Revision: 1054112
- output typelib() provides

* Sun Sep 18 2016 ovitters <ovitters> 0.10.4-1.mga6
+ Revision: 1053931
- new version 0.10.4

* Mon Feb 15 2016 umeabot <umeabot> 0.10.3-5.mga6
+ Revision: 960996
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0.10.3-4.mga6
+ Revision: 887987
- rebuild for python 3.5

* Tue Aug 25 2015 tv <tv> 0.10.3-3.mga6
+ Revision: 869205
- rebuild for new libexiv2

* Mon Jun 29 2015 wally <wally> 0.10.3-2.mga6
+ Revision: 847539
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 0.10.3-1.mga6
+ Revision: 836369
- new version 0.10.3

* Wed Oct 15 2014 umeabot <umeabot> 0.10.2-2.mga5
+ Revision: 744495
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 ovitters <ovitters> 0.10.2-1.mga5
+ Revision: 691346
- new version 0.10.2
- add gobject-introspection BR for typelib auto BR
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.10.1-3.mga5
+ Revision: 629684
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.10.1-2.mga5
+ Revision: 629536
- Rebuild for new Python

* Fri Apr 25 2014 ovitters <ovitters> 0.10.1-1.mga5
+ Revision: 618056
- new version 0.10.1

* Sun Mar 23 2014 dams <dams> 0.10.0-1.mga5
+ Revision: 606671
- new version 0.10.0

* Tue Feb 25 2014 tv <tv> 0.7.0-4.mga5
+ Revision: 596761
- rebuild for new libexiv2

* Thu Nov 28 2013 dams <dams> 0.7.0-3.mga4
+ Revision: 553853
- update source URL

* Mon Oct 21 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 539008
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 0.7.0-1.mga4
+ Revision: 491201
- 0.7.0 final

* Wed Oct 02 2013 dams <dams> 0.7.0-0.git20131001.1.mga4
+ Revision: 490425
- decrease major
- new git snapshot (20131001)

* Sat Sep 21 2013 dams <dams> 0.7.0-0.git20130920.1.mga4
+ Revision: 482697
- new git snapshot (20130920), 0.7.0pr2

* Fri Sep 20 2013 dams <dams> 0.7.0-0.git20130910.1.mga4
+ Revision: 481627
- disable python stuff on BS
- new version 0.7.0 git snapshot (20130910)

* Sun Jun 16 2013 wally <wally> 0.6.1-3.mga4
+ Revision: 443708
- remove unneeded devel pkg require

* Sun Jun 16 2013 wally <wally> 0.6.1-2.mga4
+ Revision: 443696
- fix gir typelib pkg name
- move gir files to devel pkg

* Fri May 24 2013 tv <tv> 0.6.1-1.mga4
+ Revision: 426362
- disable python stuff on BS
- BR python-gobject
- BR python-devel
- BR libgirepository-devel
- enable introspection for gramps

* Tue Apr 02 2013 dams <dams> 0.6.1-1.mga3
+ Revision: 407324
- new version 0.6.1

* Sat Jan 12 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 357207
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 dams <dams> 0.5.0-1.mga3
+ Revision: 314676
- new version 0.5.0

* Sun Aug 05 2012 dams <dams> 0.4.1-1.mga3
+ Revision: 278960
- new version 0.4.1
- rediff patch
- update major

* Mon Jun 18 2012 fwang <fwang> 0.3.92-2.mga3
+ Revision: 261683
- rebuild for new libexiv

* Wed Mar 21 2012 dams <dams> 0.3.92-1.mga2
+ Revision: 225276
- new version 0.3.92

* Tue Feb 21 2012 dams <dams> 0.3.91-1.mga2
+ Revision: 211563
- remove .la
- new version 0.3.91

* Sun Oct 09 2011 fwang <fwang> 0.3.1-1.mga2
+ Revision: 153404
- new version 0.3.1

* Thu Mar 24 2011 boklm <boklm> 0.3.0-5.mga1
+ Revision: 76169
- rebuild for bug #497

* Thu Mar 10 2011 mikala <mikala> 0.3.0-4.mga1
+ Revision: 67683
- Add Requires for libexiv-devel on -devel package

* Thu Mar 10 2011 mikala <mikala> 0.3.0-3.mga1
+ Revision: 67592
- Remove BuildRoot
- imported package libgexiv2


* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 0.3.0-2mdv2011.0
+ Revision: 640542
- update BR
- rebuild to obsolete old packages

* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0.3.0-1
+ Revision: 634101
- New version 0.3.0

* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0.2.2-1
+ Revision: 634083
- update to new version 0.2.2

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2011.0
+ Revision: 609601
- new version 0.2.1

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.1.0-2mdv2011.0
+ Revision: 565536
- bump rel
- import libgexiv2


